ViennaCL - The Vienna Computing Library: viennacl::device_specific::tree_parsing::process_traversal Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::device_specific::tree_parsing::process_traversal Class Reference

functor for fetching or writing-back the elements in a statement More...

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::process_traversal:

## Public Member Functions
| process_traversal (std::string const &type_key, std::string const &to_process, utils::kernel_generation_stream &stream, mapping_type const &mapping, std::set< std::string > &already_processed)
void | operator() (scheduler::statement const &, vcl_size_t root_idx, leaf_t leaf) const
Public Member Functions inherited from viennacl::device_specific::tree_parsing::traversal_functor
void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Detailed Description

functor for fetching or writing-back the elements in a statement

Definition at line 332 of file tree_parsing.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::tree_parsing::process_traversal::process_traversal | ( | std::string const & | type_key,
|  | std::string const & | to_process,
|  | utils::kernel_generation_stream & | stream,
|  | mapping_type const & | mapping,
|  | std::set< std::string > & | already_processed
| ) |  |
| inline

Definition at line 335 of file tree_parsing.hpp.

## Member Function Documentation

void viennacl::device_specific::tree_parsing::process_traversal::operator() | ( | scheduler::statement const & | ,
|  | vcl_size_t | root_idx,
|  | leaf_t | leaf
| ) |  | const
| inline

Definition at line 338 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp